set more off

//cd ""
use data_final_JDS.dta, clear


////////////////////////////////////////////////////////sum stats
sum ln_pop_den_2009 ln_perc_urban_2009 ln_consumption_expen_pc_99 ///
	ln_perc_pop_poverty_2010 ln_congnghiep_private_pc_2005  ln_gdp_income_pc_2010 ///
	d_ln_pop_den_89_09 d_ln_perc_urban_89_09 ///
	d_ln_congng_pri_pc_90_05 d_ln_gdp_income_pc_1996_2010
	
sum ln_perc_chinese_1989 ln_perc_chinese_1979 ln_perc_pop_working_soe_1989 ln_perc_urban_1989 ln_pop_den_1976 ///
	ln_dist_MongCai ln_dist_LaoCai distance_hnhcmc South coastal  ///
	mekong_river red_river border_china ln_pre_avg ln_tmp_avg  ///
	port_type_1 ln_invest ln_congnghiep_private_pc_1990 ln_gdp_income_pc_1996 
	
	

////////////////////////////////////////////////////////first stage (TABLE 4)
//1 original
reg ln_perc_chinese_1989 ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989, r	
test  ln_dist_MongCai_ln_chinese
outreg2 using regression_first_stage, excel adds(F-test, r(F), Prob > F, `r(p)') replace

//2 add mekong and red river dummy
reg ln_perc_chinese_1989 ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal mekong_river red_river ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989, r	
test  ln_dist_MongCai_ln_chinese
outreg2 using regression_first_stage, excel adds(F-test, r(F), Prob > F, `r(p)') append

//3 add port_type_1, dis to LaoCai (Yunnan) and border China
reg ln_perc_chinese_1989 ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989, r	
test  ln_dist_MongCai_ln_chinese
outreg2 using regression_first_stage, excel adds(F-test, r(F), Prob > F, `r(p)') append




////////////////////////////////////////////////////////second stage

/////////////////////////////////level dependent variables
foreach var of varlist ln_pop_den_2009 ln_perc_urban_2009 ln_congnghiep_private_pc_2005 ///
					   ln_gdp_income_pc_2010 ln_consumption_expen_pc_99 ln_perc_pop_poverty_2010   {
//1 original (TABLE 5 and 6)
	//reduced
	reg `var' ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989 , r	
	outreg2 using regression_second_stage, excel append
	
	//IV
	ivreg2 `var' ln_perc_chinese_1979 South ln_dist_MongCai coastal ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989  ///
	(ln_perc_chinese_1989 = ln_dist_MongCai_ln_chinese), robust 	
	outreg2 using regression_second_stage, excel append
	
	
//2 Control for mekong and red river (TABLE 8)
	//reduced
	reg `var' ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal mekong_river red_river ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989 , r	
	outreg2 using regression_second_stage, excel append
	
	//IV
	ivreg2 `var' ln_perc_chinese_1979 South ln_dist_MongCai coastal mekong_river red_river ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989  ///
	(ln_perc_chinese_1989 = ln_dist_MongCai_ln_chinese), robust 	
	outreg2 using regression_second_stage, excel append
	
	
//3 Control for trade effects (TABLE 9)
	//reduced
	reg `var' ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989 , r	
	outreg2 using regression_second_stage, excel append
	
	//IV
	ivreg2 `var' ln_perc_chinese_1979 South ln_dist_MongCai coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989  ///
	(ln_perc_chinese_1989 = ln_dist_MongCai_ln_chinese), robust 	
	outreg2 using regression_second_stage, excel append
	
}
	
	

	
/////////////////////////////////CHANGE (TABLE 10)

////////////Change in population density 1989-2009 (Δln)
	//reduced
	reg d_ln_pop_den_89_09 ln_pop_den_1976 ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989 , r	
	outreg2 using regression_second_stage, excel append
	
	//IV
	ivreg2 d_ln_pop_den_89_09 ln_pop_den_1976 ln_perc_chinese_1979 South ln_dist_MongCai coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989  ///
	(ln_perc_chinese_1989 = ln_dist_MongCai_ln_chinese), robust 	
	outreg2 using regression_second_stage, excel append


////////////Change in share of urban population 1989-2009 (Δln)				   
	//reduced
	reg d_ln_perc_urban_89_09 ln_perc_urban_1989 ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989 , r	
	outreg2 using regression_second_stage, excel append
	
	//IV
	ivreg2 d_ln_perc_urban_89_09 ln_perc_urban_1989 ln_perc_chinese_1979 South ln_dist_MongCai coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989  ///
	(ln_perc_chinese_1989 = ln_dist_MongCai_ln_chinese), robust 	
	outreg2 using regression_second_stage, excel append
	

////////////Change in per capita non-state ind. prod. 1990-2005 (Δln)				   
	//reduced
	reg d_ln_congng_pri_pc_90_05 ln_congnghiep_private_pc_1990 ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989 , r	
	outreg2 using regression_second_stage, excel append
	
	//IV
	ivreg2 d_ln_congng_pri_pc_90_05 ln_congnghiep_private_pc_1990 ln_perc_chinese_1979 South ln_dist_MongCai coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989  ///
	(ln_perc_chinese_1989 = ln_dist_MongCai_ln_chinese), robust 	
	outreg2 using regression_second_stage, excel append


////////////Change in per capita income 1996-2010 (Δln)
	//reduced		   
	reg d_ln_gdp_income_pc_1996_2010 ln_gdp_income_pc_1996 ln_perc_chinese_1979 South ln_dist_MongCai ln_dist_MongCai_ln_chinese coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989 , r	
	outreg2 using regression_second_stage, excel append
	
	//IV
	ivreg2 d_ln_gdp_income_pc_1996_2010 ln_gdp_income_pc_1996 ln_perc_chinese_1979 South ln_dist_MongCai coastal port_type_1 ln_dist_LaoCai border_china ln_pre_avg ln_tmp_avg distance_hnhcmc ln_pop_den_1976 ln_invest ln_perc_pop_working_soe_1989  ///
	(ln_perc_chinese_1989 = ln_dist_MongCai_ln_chinese), robust 	
	outreg2 using regression_second_stage, excel append
